## powerline-go 1.25

=== debian/changelog ===
powerline-go (1.25-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Samuel Henrique <samueloph@debian.org>  Sun, 19 Jan 2025 14:59:07 +0000

powerline-go (1.25-1) unstable; urgency=medium

  * New upstream version 1.25
  * d/control:Description: Add setup instructions

 -- Samuel Henrique <samueloph@debian.org>  Sat, 18 Jan 2025 13:27:30 +0000

powerline-go (1.24-1) unstable; urgency=medium

  * Initial release (Closes: #1086057)

 -- Samuel Henrique <samueloph@debian.org>  Fri, 25 Oct 2024 18:31:08 +0100
