=== debian/control ===
Source: powerline-go
Section: golang
Priority: optional
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Samuel Henrique <samueloph@debian.org>
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-sequence-golang,
               golang-any,
               golang-github-mattn-go-runewidth-dev,
               golang-github-shirou-gopsutil-dev (>= 4),
               golang-golang-x-sys-dev,
               golang-golang-x-term-dev,
               golang-golang-x-text-dev,
               golang-gopkg-ini.v1-dev,
               golang-yaml.v2-dev
Testsuite: autopkgtest-pkg-go
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/go-team/packages/powerline-go
Vcs-Git: https://salsa.debian.org/go-team/packages/powerline-go.git
Homepage: https://github.com/justjanne/powerline-go
XS-Go-Import-Path: github.com/justjanne/powerline-go

Package: powerline-go
Section: utils
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Recommends: fonts-powerline
Built-Using: ${misc:Built-Using}
Description: Powerline style prompt for your shell: Bash, ZSH and Fish
  - Shows some important details about the git/hg branch
  - Changes color if the last command exited with a failure code
  - If you're too deep into a directory tree, shortens the displayed path with
    an ellipsis
  - Shows the current Python virtualenv environment
  - Shows the current Ruby version using rbenv or rvm
  - Shows if you are in a nix shell
  - It's easy to customize and extend.
 .
 To use it, add the following to your ~/.bashrc:
  function _update_ps1() {
      PS1="$($GOPATH/bin/powerline-go -error $? -jobs $(jobs -p | wc -l))"
 .
      # Uncomment the following line to automatically clear errors after showing
      # them once. This not only clears the error for powerline-go, but also for
      # everything else you run in that shell. Don't enable this if you're not
      # sure this is what you want.
 .
      #set "?"
  }
 .
  if [ "$TERM" != "linux" ] && [ -f "$GOPATH/bin/powerline-go" ]; then
      PROMPT_COMMAND="_update_ps1; $PROMPT_COMMAND"
  fi
 .
 Or to your ~/.zshrc:
  function powerline_precmd() {
      PS1="$($GOPATH/bin/powerline-go -error $? -jobs ${${(%):%j}:-0})"
 .
      # Uncomment the following line to automatically clear errors after showing
      # them once. This not only clears the error for powerline-go, but also for
      # everything else you run in that shell. Don't enable this if you're not
      # sure this is what you want.
 .
      #set "?"
  }
 .
  function install_powerline_precmd() {
    for s in "${precmd_functions[@]}"; do
      if [ "$s" = "powerline_precmd" ]; then
        return
      fi
    done
    precmd_functions+=(powerline_precmd)
  }
 .
  if [ "$TERM" != "linux" ] && [ -f "$GOPATH/bin/powerline-go" ]; then
      install_powerline_precmd
  fi
 .
 For fish, redefine fish_prompt in ~/.config/fish/config.fish:
  function fish_prompt
      eval $GOPATH/bin/powerline-go -error $status -jobs (count (jobs -p))
  end
